### Method

# Gtk TreeViewget_activate_on_single_click

deprecated: 4.10

#### Declaration [src]

    gboolean
    gtk_tree_view_get_activate_on_single_click (
      GtkTreeView* tree_view
    )

#### Description [src]

Gets the setting set by gtk_tree_view_set_activate_on_single_click().

Deprecated since: 4.10

Use `GtkListView` or `GtkColumnView` instead.

Gets property | `Gtk.TreeView:activate-on-single-click`

#### Return value

Type: `gboolean`

`TRUE` if row-activated will be emitted on a single click.